Page MenuHomePhabricator

Build a new HHVM package
Closed, ResolvedPublic

Description

There are a few outstanding things we need for, and so a new package version is needed.

Event Timeline

Joe created this task.Dec 18 2014, 9:39 AM
Joe claimed this task.
Joe raised the priority of this task from to Needs Triage.
Joe updated the task description. (Show Details)
Joe added projects: ops-core, acl*sre-team, HHVM.
Joe changed Security from none to None.
Joe added a subscriber: Joe.
hashar added a subscriber: hashar.Dec 18 2014, 10:12 AM
Joe added a comment.Dec 19 2014, 4:03 PM

trying to build a new hhvm package, but had met some roadbumps until now.

Patchset is https://gerrit.wikimedia.org/r/#/c/180752/

Note T75531: ApiFormatWddxTest::testValidSyntax fails in mediawiki-core-regression-hhvm-master test is now resolved, spa new HHVM package is no more a blocker for CI (the job is even voting now).

Joe added a comment.Dec 22 2014, 9:05 AM

The package works, still waiting to rebuild the extensions in case of need - would you still like to use this on CI now?

In T84853#939339, @Joe wrote:

The package works, still waiting to rebuild the extensions in case of need - would you still like to use this on CI now?

The labs slaves have puppet ensure => latest (for now) via https://gerrit.wikimedia.org/r/#/c/178806/ , so whenever reach apt.wikimedia.org it should be upgraded by puppet for us. We have no good way yet to verify whether MediaWiki core and all MediaWiki tests pass a new version.

Joe added a comment.Dec 22 2014, 12:33 PM

Ok I'll close the ticket then, as the package is available. I'll also install it on beta.

Joe closed this task as Resolved.Dec 22 2014, 12:34 PM
Joe added a comment.Dec 22 2014, 3:04 PM

Installed on beta, looks good for now. I'll close the ticket.

Thanks @Joe! Seems puppet managed to upgrade hhvm on all CI instances \O/

faidon added a subscriber: faidon.Dec 23 2014, 5:03 PM

@hashar, your approach and patchset was explicitly downvoted, so I'm not sure I understand why you deployed it anyway (and are happy about it) instead of working towards a better solution…

@hashar, your approach and patchset was explicitly downvoted, so I'm not sure I understand why you deployed it anyway (and are happy about it) instead of working towards a better solution…

Here the context and why I ended up deploying https://gerrit.wikimedia.org/r/#/c/178806/ asap.

The CI slaves used to have HHVM installed, but some refactoring of the mediawiki puppet classes I relied upon ended up no more installing HHVM. Hence new slaves created were lacking HHVM.

It was not much of an issue for CI since we had a single post merge job running MediaWiki core test which has been failing for the last six months and that nobody bothered looking at. We even disabled the on patchset proposal test we had because it was too slow ™.

Once the Wikimedia cluster has been switched from Zend to HHVM, folks eventually noticed we lacked HHVM tests. It has been escalated to Greg / RelEng team and I have dropped all my priorities to focus on getting the HHVM jobs ready.

So https://gerrit.wikimedia.org/r/#/c/178806/ is really to rush out apt-get install hhvm on all the CI slaves and making sure new slaves have the package. On review, Ori and Faidon vetoed the use of ensure => latest while Mukunda and Timo think it make sense since we have a few other packages using latest as well.

Anyway, I have deployed the change simply to get the hhvm package installed and work on the Jenkins jobs. It is merely done so I can come back to the change and figure out what the heck 'Debian unattended package' meant and how to set it up.

Merry Xmas